#!/usr/bin/env python

"""
Prettyprinted document node prettyprinter.

Copyright (C) 2023 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from moinformat.serialisers.pretty.common import Serialiser

class PrettySerialiser(Serialiser):

    "Serialisation of prettyprinted document nodes for inspection."

    input_formats = ["pretty"]
    formats = ["pretty"]

    def node(self, node):
        self.out("%s%s%s\n" % (self.output.indent, node.name,
            len(node.nodes) and " nodes=%d" % len(node.nodes) or ""))
        self.container(node)

serialiser = PrettySerialiser

# vim: tabstop=4 expandtab shiftwidth=4
